CVE-2020-4032

Priority
Description
In FreeRDP before version 2.1.2, there is an integer casting vulnerability
in update_recv_secondary_order. All clients with +glyph-cache
/relax-order-checks are affected. This is fixed in version 2.1.2.
Notes
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (code not present)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (code not present)
Ubuntu 20.04 LTS (Focal Fossa):DNE
Ubuntu 20.10 (Groovy Gorilla):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):released (2.2.0+dfsg1-0ubuntu0.18.04.1)
Ubuntu 20.04 LTS (Focal Fossa):released (2.2.0+dfsg1-0ubuntu0.20.04.1)
Ubuntu 20.10 (Groovy Gorilla):not-affected (2.2.0+dfsg1-1)
More Information

Updated: 2020-09-10 06:36:57 UTC (commit 81a23a978c4436cd99e1d040e9e73e9146876281)